> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List External Campaigns

> Live-list provider Campaigns with their owning ad-account assets.



## OpenAPI

````yaml get /opportunity/platforms/{platform_id}/external-campaigns
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /opportunity/platforms/{platform_id}/external-campaigns:
    get:
      tags:
        - Marketing Platforms
      summary: List External Campaigns
      description: Live-list provider Campaigns with their owning ad-account assets.
      operationId: >-
        list_external_campaigns_opportunity_platforms__platform_id__external_campaigns_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: platform_id
          in: path
          required: true
          schema:
            type: string
            title: Platform Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ExternalCampaignSummaryDto'
                title: >-
                  Response List External Campaigns Opportunity Platforms 
                  Platform Id  External Campaigns Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ExternalCampaignSummaryDto:
      properties:
        platformAssetId:
          type: string
          title: Platformassetid
        platformId:
          type: string
          title: Platformid
        adAccountExternalId:
          type: string
          title: Adaccountexternalid
        adAccountName:
          anyOf:
            - type: string
            - type: 'null'
          title: Adaccountname
        externalCampaignId:
          type: string
          title: Externalcampaignid
        externalResourceName:
          anyOf:
            - type: string
            - type: 'null'
          title: Externalresourcename
        name:
          type: string
          title: Name
        status:
          type: string
          title: Status
        dailyBudgetCents:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dailybudgetcents
        lifetimeBudgetCents:
          anyOf:
            - type: integer
            - type: 'null'
          title: Lifetimebudgetcents
        currency:
          type: string
          title: Currency
          default: USD
      type: object
      required:
        - platformAssetId
        - platformId
        - adAccountExternalId
        - externalCampaignId
        - name
        - status
      title: ExternalCampaignSummaryDto
      description: One provider Campaign together with its owning ad-account asset.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````